# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl


%define name    ksubtile
%define version 1.2
%define release 1.2006mcnl
%define summary SRT subtitle editor
%define section Multimedia/Video

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://ksubtile.sourceforge.net/
License:        GPL
Group:          Video
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

BuildRequires:  libqt3-devel libkdebase4-devel

%description
KSubtile is a KDE program(C++) which provides an easy to use interface to edit subtitles in the SRT format. It supports moving, stretching and individual editing of subtitles in a file

%prep
rm -rf %{buildroot}
%setup -q

%build
 
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%name" \
longtitle="%summary"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README NEWS COPYING AUTHORS
%{_bindir}/ksubtile
%{_datadir}/applnk/Editors/ksubtile.desktop
%{_datadir}/apps/ksubtile/ksubtileui.rc
%{_datadir}/doc/HTML/en/ksubtile/*
%{_datadir}/mimelnk/application/srt.desktop
%_menudir/ksubtile
%_iconsdir/hicolor/16x16/apps/ksubtile.png
%_iconsdir/hicolor/32x32/apps/ksubtile.png
   
%changelog 
*Thu Dec 1 2005 Marco Meijer <marco@mandrivaclub.nl> 1.2-1.2006mcnl
new version

*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 1.1-1.2006mcnl
Mandriva 2006 rebuild

*Tue Jan 04 2005 Marco Meijer <marco@mandrivaclub.nl> 1.1-2.101mcnl
new version

*Thu Dec 30 2004 Marco Meijer <marco@mandrivaclub.nl> 1.1-1.101mcnl
new version

*Sat Jun 12 2004 Marco Meijer <marco@mandrivaclub.nl> 1.0.1-1mcnl
new version


